Bug 489239 - twistd is busted
twistd is busted
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-twisted-core (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
:
Depends On: 488396
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-08 21:37 EDT by Adam Goode
Modified: 2009-08-30 19:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-30 19:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2009-03-08 21:37:23 EDT
Description of problem:
/usr/bin/twistd dies.


Version-Release number of selected component (if applicable):
python-twisted-core-8.2.0-2.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. twistd


Actual results:
$ twistd 
/usr/lib64/python2.6/site-packages/twisted/persisted/sob.py:12: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os, md5, sys
/usr/lib64/python2.6/site-packages/twisted/python/filepath.py:12: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import sha
Traceback (most recent call last):
  File "/usr/bin/twistd", line 20, in <module>
    from twisted.scripts.twistd import run
  File "/usr/lib64/python2.6/site-packages/twisted/scripts/twistd.py", line 11, in <module>
    from twisted.application import app
  File "/usr/lib64/python2.6/site-packages/twisted/application/app.py", line 13, in <module>
    from twisted.application import service, reactors
  File "/usr/lib64/python2.6/site-packages/twisted/application/service.py", line 23, in <module>
    from twisted.plugin import IPlugin
  File "/usr/lib64/python2.6/site-packages/twisted/plugin.py", line 34, in <module>
    from twisted.python.modules import getModule
  File "/usr/lib64/python2.6/site-packages/twisted/python/modules.py", line 67, in <module>
    from twisted.python.filepath import FilePath, UnlistableError
  File "/usr/lib64/python2.6/site-packages/twisted/python/filepath.py", line 29, in <module>
    from twisted.python.win32 import ERROR_FILE_NOT_FOUND, ERROR_PATH_NOT_FOUND
  File "/usr/lib64/python2.6/site-packages/twisted/python/win32.py", line 160, in <module>
    formatError = _ErrorFormatter.fromEnvironment().formatError
  File "/usr/lib64/python2.6/site-packages/twisted/python/win32.py", line 120, in fromEnvironment
    from ctypes import WinError
  File "/usr/lib64/python2.6/ctypes/__init__.py", line 546, in <module>
    CFUNCTYPE(c_int)(lambda: None)
MemoryError
Comment 1 Bug Zapper 2009-06-09 08:01:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Adam Goode 2009-08-30 19:12:23 EDT
This appears to be working now.

Note You need to log in before you can comment on or make changes to this bug.